Vulnerability CVE-2009-1885


Published: 2009-08-11   Modified: 2012-02-13

Description:
Stack consumption vulnerability in validators/DTD/DTDScanner.cpp in Apache Xerces C++ 2.7.0 and 2.8.0 allows context-dependent attackers to cause a denial of service (application crash) via vectors involving nested parentheses and invalid byte values in "simply nested DTD structures," as demonstrated by the Codenomicon XML fuzzing framework.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Partial
Affected software
Apache -> Xerces-c++ 

 References:
https://bugzilla.redhat.com/show_bug.cgi?id=515515
http://www.vupen.com/english/advisories/2009/2196
https://www.redhat.com/archives/fedora-package-announce/2009-August/msg01150.html
https://www.redhat.com/archives/fedora-package-announce/2009-August/msg01136.html
https://www.redhat.com/archives/fedora-package-announce/2009-August/msg01099.html
https://www.redhat.com/archives/fedora-package-announce/2009-August/msg01001.html
http://xforce.iss.net/xforce/xfdb/52321
http://www.securityfocus.com/bid/35986
http://www.networkworld.com/columnists/2009/080509-xml-flaw.html
http://www.mandriva.com/security/advisories?name=MDVSA-2009:223
http://www.codenomicon.com/labs/xml/
http://www.cert.fi/en/reports/2009/vulnerability2009085.html
http://svn.apache.org/viewvc?view=rev&revision=781488
http://svn.apache.org/viewvc/xerces/c/trunk/src/xercesc/validators/DTD/DTDScanner.cpp?r1=781488&r2=781487&pathrev=781488&view=patch
http://secunia.com/advisories/36201

Copyright 2021, cxsecurity.com

 

Back to Top